Merge changes I02e7b914,I3d30bdc5,Ia07b3029 into q10

* changes:
  backuptool: Run check_{black, white}list with proper system path
  backuptool: Execute check_blacklist from the current directory
  backuptool: Fix addon.d version check for A-only
diff --git a/build/envsetup.sh b/build/envsetup.sh
index ed6a72e..973f530 100644
--- a/build/envsetup.sh
+++ b/build/envsetup.sh
@@ -20,6 +20,8 @@
 - repopick:        Utility to fetch changes from Gerrit.
 - installboot:     Installs a boot.img to the connected device.
 - installrecovery: Installs a recovery.img to the connected device.
+- blissify:        Sets up build environment using breakfast(),
+                   and then compiles using mka() against blissify target.
 EOF
 }
 
@@ -52,18 +54,6 @@
     return $ret
 }
 
-function brunch()
-{
-    breakfast $*
-    if [ $? -eq 0 ]; then
-        mka bacon
-    else
-        echo "No such item in brunch menu. Try 'breakfast'"
-        return 1
-    fi
-    return $?
-}
-
 function breakfast()
 {
     target=$1
@@ -977,3 +967,15 @@
 if [ -n "$JACK_SERVER_VM_ARGUMENTS" ] && [ -z "$ANDROID_JACK_VM_ARGS" ]; then
     export ANDROID_JACK_VM_ARGS=$JACK_SERVER_VM_ARGUMENTS
 fi
+
+function blissify()
+{
+    breakfast $*
+    if [ $? -eq 0 ]; then
+        mka blissify
+    else
+        echo "No such item in brunch menu. Try 'breakfast'"
+        return 1
+    fi
+    return $?
+}
diff --git a/config/bliss_packages.mk b/config/bliss_packages.mk
index 5a9f59c..2cd48b9 100644
--- a/config/bliss_packages.mk
+++ b/config/bliss_packages.mk
@@ -96,3 +96,7 @@
 # Bliss System Permission
 PRODUCT_COPY_FILES += \
     vendor/bliss/config/permissions/privapp-permissions-bliss-system.xml:$(TARGET_COPY_OUT_SYSTEM)/etc/permissions/privapp-permissions-bliss-system.xml
+    
+# Bliss Product Permission
+PRODUCT_COPY_FILES += \
+    vendor/bliss/config/permissions/privapp-permissions-bliss-product.xml:$(TARGET_COPY_OUT_PRODUCT)/etc/permissions/privapp-permissions-bliss.xml
diff --git a/config/permissions/privapp-permissions-bliss-product.xml b/config/permissions/privapp-permissions-bliss-product.xml
new file mode 100644
index 0000000..e2af981
--- /dev/null
+++ b/config/permissions/privapp-permissions-bliss-product.xml
@@ -0,0 +1,44 @@
+<?xml version="1.0" encoding="utf-8"?>
+<!-- Copyright (C) 2014-2020 The BlissRoms Project
+
+     Licensed under the Apache License, Version 2.0 (the "License");
+     you may not use this file except in compliance with the License.
+     You may obtain a copy of the License at
+     
+          http://www.apache.org/licenses/LICENSE-2.0
+          
+     Unless required by applicable law or agreed to in writing, software
+     distributed under the License is distributed on an "AS IS" BASIS,
+     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+     See the License for the specific language governing permissions and
+     limitations under the License.
+-->
+<permissions>
+
+    <privapp-permissions package="com.android.wallpaper">
+        <permission name="android.permission.CHANGE_OVERLAY_PACKAGES"/>
+        <permission name="android.permission.SET_WALLPAPER_COMPONENT"/>
+        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
+    </privapp-permissions>
+
+    <privapp-permissions package="com.android.systemui">
+        <permission name="android.permission.WRITE_APN_SETTINGS"/>
+        <permission name="android.permission.FORCE_STOP_PACKAGES" />
+    </privapp-permissions>
+
+    <privapp-permissions package="com.google.android.settings.intelligence">
+        <permission name="android.permission.MANAGE_FINGERPRINT"/>
+        <permission name="android.permission.MODIFY_PHONE_STATE"/>
+        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
+        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
+        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
+        <permission name="android.permission.WRITE_SETTINGS_HOMEPAGE_DATA"/>
+    </privapp-permissions>
+
+    <privapp-permissions package="com.google.android.apps.safetyhub">
+        <permission name="android.permission.CALL_PRIVILEGED"/>
+        <permission name="android.permission.MANAGE_USERS"/>
+        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
+    </privapp-permissions>
+
+</permissions>
diff --git a/prebuilt/common/app/AboutBliss.apk b/prebuilt/common/app/AboutBliss.apk
index cebff90..eaee7d3 100644
--- a/prebuilt/common/app/AboutBliss.apk
+++ b/prebuilt/common/app/AboutBliss.apk
Binary files differ